#ifndef GRASS_BLOCK_HPP_
#define GRASS_BLOCK_HPP_

#include <Block/SpriteBlock/BasicBlock/BasicBlock.hpp>

class GrassBlock : public BasicBlock
{
public:
    GrassBlock(std::string name);

    virtual void getHarvestedStacks(LocalWorld &world, glm::ivec3 pos, std::vector<ItemStack> &stacks) override;
    virtual bool canManuallyDig() override;
    virtual void onNeighborUpdated(LocalWorld &world, glm::ivec3 pos, Side side) override;
    virtual Sound& getManualDiggingSound() override;
};

#endif